04 октября 2014

NVIDIA выпустила обновление драйвера для Linux версии 340

Корпорация NVIDIA разрабатывает драйверы для Linux в несколько ответвлений: с длительной поддержкой, которые рассматриваются как наиболее стабильные, с краткосрочной поддержкой и  драйверы для старых графических процессоров NVIDIA.

Недавно был обновлён драйвер NVIDIA версии 340 для Linux - NVIDIA 340.46, который позиционируется, как драйвер с длительной поддержкой, с некоторыми исправлениями:

    Устранена проблема OpenGL, которая могла приводить к некорректному обрезанию изображения что в операциях glReadPixels() при изменении размеров окон приложений, что потенциально ведет к мгновенной "заморозке" Х.
    Устранена ошибка, которая могла мешать корректной оценке некоторых выражений в компиляторе GLSL при компиляции шейдеров.
    Устранена ошибка, которая могла приводить к сбоям nvidia-installer при попытке запустить nvidia-xconfig на системах без соответствующей утилиты.
    Добавлена опция UseSysmemPixmapAccel для управления использования GPU-ускорения операций рисования на пиксельных изображениях, расположенных в системной памяти.
С более подробной информацией о поддерживаемых продуктах и дополнительную информацию о драйвере NVIDIA 340.46 вы можете познакомиться на официальном сайте NVIDIA.

Установка драйвера NVIDIA 340.46 в Ubuntu 14.04 и производные

Примечание. Перед установкой драйвера я настоятельно рекомендую владельцам видеокарт NVIDIA посмотреть инструкцию "Как определить и установить правильную версию драйвера для вашей видеокарты Nvidia в Ubuntu/Linux Mint". Иначе после установки драйвера NVIDIA 340.46 вы рискуете не запустить систему.

Откройте терминал (Ctrl+Alt+T), скопируйте и выполните следующие команды:

sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update
sudo apt-get install nvidia-340 nvidia-settings


По окончании установки, чтобы задействовать драйвер, необходимо перезагрузить компьютер:

sudo reboot

После нового входа в систему проверьте установленный драйвер  графической утилитой NVIDIA X Server Settings, поиском в меню, либо в терминале командой:

glxinfo | grep OpenGL

Источник: NVIDIA 340.46

Удачи.

18 комментариев :

  1. После установки на ноутбук с технологией NVidia Optimus проблем не будет? С предыдущих версиях приходилось откатываться после установки... Стоит Ubuntu 14.04 64bit

    ОтветитьУдалить
    Ответы
    1. Для установки драйвера с технологией NVidia Optimus свои заморочки. Посмотри здесь: http://help.ubuntu.ru/wiki/nvidia_optimus

      Удалить
  2. Пробывал этот драйвер до публикаций статьи в день публикаций про Nvidia-343.22. Тестил на производительности оба драйвера. 340.46 уступает 343.22 плюс заметно некоторые глюки при открытий закрытий окон и в играх Steam. Тестил на Ubuntu 14.04 Unity , Elementary OS 0.2 и 0.3 , Debian 7.6 c Gnome 3.11-3.12.2 и сейчас Fedora 20 c Gnome 3.11- 3.12.2 ( глюки одни и те же ) . Видео карта GeForce GTX 650 Ti .
    Спасибо Vladimir Dolgirev.

    ОтветитьУдалить
  3. Свежие дрова Nvidia в 14.04 могут глючить. (У меня нестабильно работал Просмотр изображений). Это известный Bug #1288747. Так что либо сидеть на 331.89, либо добавлять репы с пропатченным compiz'ом

    ОтветитьУдалить
  4. Что такое пропатченный компиз? Никогда не слышал об этом

    ОтветитьУдалить
  5. https://launchpad.net/~townsend/+archive/ubuntu/compiz-nvidia-refresh-test
    (Сам, правда, не подключал, откатился на 331.89)

    ОтветитьУдалить
  6. И не услышишь, 10.04, потом компиз ЗДОХ. И пусть не поют песни. С нвидиа компиз не дружит.

    ОтветитьУдалить
    Ответы
    1. "С нвидиа компиз не дружит." NVIDIA нискем из UNIX/LINUX не дружит. Остальое это доработки или подстрой ОС под Nvidia

      Удалить
  7. АМД, Радеон. 6600. 2г оперативки. Росинка, замороженная, компиз во всей красе. Почему я его так ещё нигде не видел.

    ОтветитьУдалить
  8. Обновление само пришло по сети)))))

    ОтветитьУдалить
  9. Пожалуйста, подскажите как работать в терминале OpenSuse!
    Ни одна команда из Ubuntu не подходит. На ввод команд: apt-get, update, upgrade и многих других - терминал отвечает: sudo: apt-get: command not found
    sudo: add-apt-repository: command not found
    linux:/home/edward # apt dist-update
    If 'apt' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf apt

    ОтветитьУдалить
    Ответы
    1. Ну Вы блин даёте! Конечно же в Suse этот номер не пройдет, там другая система управления пакетами, и формат пакетов другой, не .deb, а .rpm
      Вот тут, для начала, http://distrowatch.com/dwres.php?resource=package-management есть сводная таблица соответствия основных команд управления пакетами в разных дистрибутивах. Вообще, данный блог ориентирован в основном на Убунту и производные. По OpenSuse лучше искать другие ресурсы. В Гугле всё есть :)

      Удалить
    2. Valeriy Kuprin, есть же форумы:
      https://ru.opensuse.org/%D0%94%D0%BE%D0%B1%D1%80%D0%BE_%D0%BF%D0%BE%D0%B6%D0%B0%D0%BB%D0%BE%D0%B2%D0%B0%D1%82%D1%8C_%D0%BD%D0%B0_openSUSE.org
      http://www.open-suse.ru/
      https://ru.opensuse.org/SDB:Zypper_%D0%B8%D1%81%D0%BF%D0%BE%D0%BB%D1%8C%D0%B7%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5_11.3#.D0.A3.D1.81.D1.82.D0.B0.D0.BD.D0.BE.D0.B2.D0.BA.D0.B0_.D0.BF.D0.B0.D0.BA.D0.B5.D1.82.D0.BE.D0.B2

      Удалить
    3. Vasily B, сорри за офтоп, просто совет - для копирования кириллических ссылок из Firefox в удобочитаемом виде:

      about:config
      network.standard-url.encode-utf8 = true
      network.standard-url.escape-utf8 = false

      Для Хром:
      https://chrome.google.com/webstore/detail/copy-url/mkhnbhdofgaendegcgbmndipmijhbili

      Удалить
  10. Не помогло, может кто знает причину почему комп занижает разрешение экрана, менял уже видюху, та же самая пьеса. Не могу добиться толку.

    ОтветитьУдалить